Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsBooking flow
Query availabilitySearch availabilityBookUnits listed in a widget
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
ordersmallintOrder of the listing as displayed in the widget
urlMultiLanguageStringURL of the listing. Only applies when widget.interaction is forward
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T04:02:28.654Z",
"updated_at": "2026-03-12T04:02:28.654Z",
"order": 0,
"url": {
"default": "Hello",
"nl-NL": "Hallo"
}
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<smallint>Order of the listing as displayed in the widget
urlFilter<MultiLanguageString>URL of the listing. Only applies when widget.interaction is forward
200A list of widget listings with the selected columns
206Partial Content
GET /widget_listingscurl -X GET "https://api.bookingmood.com/v1/widget_listings?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<WidgetListing> | Array<Partial<WidgetListing>>201The newly created widget listings with the selected columns
POST /widget_listingscurl -X POST "https://api.bookingmood.com/v1/widget_listings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<smallint>Order of the listing as displayed in the widget
urlFilter<MultiLanguageString>URL of the listing. Only applies when widget.interaction is forward
204The deleted widget listings with the selected columns
DELETE /widget_listingscurl -X DELETE "https://api.bookingmood.com/v1/widget_listings" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<smallint>Order of the listing as displayed in the widget
urlFilter<MultiLanguageString>URL of the listing. Only applies when widget.interaction is forward
Partial<WidgetListing>204The updated widget listings with the selected columns
PATCH /widget_listingscurl -X PATCH "https://api.bookingmood.com/v1/widget_listings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'